Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Obsolete Members for QColorDialog

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QColorDialog class reference

## Static Public Members

QRgb | getRgba ( QRgb initial = 0xffffffff, bool * ok = 0, QWidget * parent = 0 )`(obsolete)`

## Member Function Documentation

### QRgb QColorDialog::getRgba ( QRgb initial = 0xffffffff, bool * ok = 0, QWidget * parent = 0 )`[static]`

Pops up a modal color dialog to allow the user to choose a color and an alpha channel (transparency) value. The color+alpha is initially set to initial. The dialog is a child of parent.

If ok is non-null, *a ok is set to true if the user clicked OK, and to false if the user clicked Cancel.

If the user clicks Cancel, the initial value is returned.

Use QColorDialog::getColor() instead, passing the QColorDialog::ShowAlphaChannel option.